%def_disable static
%define license_bin GPLv3
%define license_lib LGPLv2.1
%undefine __libtoolize

Name: gsasl
%define libname lib%name
Version: 1.4.4
Release: alt1

Group: System/Libraries
Summary: GNU SASL implementation
Url: http://www.gnu.org/software/gsasl/
License: %license_bin

Requires: %libname = %version-%release

Source0: http://josefsson.org/gsasl/releases/%name-%version.tar.gz

# Automatically added by buildreq on Wed Jan 09 2008
BuildRequires: gcc-c++ libcom_err-devel libgnutls-devel libidn-devel libkrb5-devel libntlm-devel libreadline-devel
#BuildRequires: libkeyutils-devel

%description
GNU SASL is an implementation of the Simple Authentication and
Security Layer (SASL)

%package -n %libname
Group: System/Libraries
Summary: GNU SASL implementation library
License: %license_lib
%description -n %libname
GNU SASL is an implementation of the Simple Authentication and
Security Layer (SASL) library

%package -n %libname-devel
Group: Development/C
Summary: Include files and libraries mandatory for %libname
License: %license_lib
Requires: %libname = %version-%release
PreReq(post,preun): info-install
%description -n %libname-devel
Include files and libraries mandatory for %libname


%package -n %libname-devel-static
Group: Development/C
Summary: Static libraries of %libname
License: %license_lib
Requires: %libname-devel = %version-%release
%description  -n %libname-devel-static
Static libraries of %name


%prep
%setup -q
#autoreconf


%build
%configure \
    %{subst_enable static} \
    --enable-shared \
    --disable-rpath \
    --with-libgcrypt \
    --with-gssapi-impl=yes \
    --disable-obsolete
#    --with-gssapi-impl=gss/mit/heimdal/yes
#    --enable-gs2 \

%make_build


%install
%make DESTDIR=%buildroot install
#rm -rf docs
#cp -ar doc docs
#rm -rf docs/man docs/texi

%find_lang --output=lang.%libname %libname
%find_lang --output=lang.%name %name

%if 0
%post -n %libname
%post_ldconfig
%postun -n %libname
%postun_ldconfig

%post -n %libname-devel
%install_info %name.info
%postun -n %libname-devel
%uninstall_info %name.info
%endif


#files -f lang.%name
%files
%doc AUTHORS ChangeLog NEWS README THANKS
%_bindir/%name
%_man1dir/*
#/usr/share/emacs/site-lisp/idna.el
#/usr/share/emacs/site-lisp/punycode.el

#files -n %libname -f lang.%libname
%files -n %libname -f lang.%name
%doc AUTHORS ChangeLog NEWS README THANKS
%_libdir/*.so.*

%files -n %libname-devel
#doc docs
%_infodir/*
%_mandir/man3/*
#
%_libdir/*.so
%_includedir/*.h
%_libdir/pkgconfig/*.pc

%if_enabled static
%files -n %libname-devel-static
%_libdir/*.a
%endif

%changelog
* Mon Oct 04 2010 Sergey V Turchin <zerg@altlinux.org> 1.4.4-alt1
- new version (ALT#24193)

* Mon Mar 02 2009 Sergey V Turchin <zerg at altlinux dot org> 1.0-alt1
- new version

* Mon Nov 17 2008 Sergey V Turchin <zerg at altlinux dot org> 0.2.29-alt1
- new version

* Mon May 26 2008 Sergey V Turchin <zerg at altlinux dot org> 0.2.26-alt2
- fix requires

* Fri May 23 2008 Sergey V Turchin <zerg at altlinux dot org> 0.2.26-alt1
- new version

* Wed Apr 30 2008 Sergey V Turchin <zerg at altlinux dot org> 0.2.25-alt1
- new version
- fix %%license

* Tue Mar 04 2008 Sergey V Turchin <zerg at altlinux dot org> 0.2.24-alt1
- new version

* Fri Jan 11 2008 Sergey V Turchin <zerg at altlinux dot org> 0.2.21-alt2
- remove libkeyutils-devel from BuildRequires (#13977)

* Wed Jan 09 2008 Sergey V Turchin <zerg at altlinux dot org> 0.2.21-alt1
- initial specfile

